GNU bug report logs - #9409
24.0.50; log-view-msg-prev, easy-mmode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Eduard Wiebe <usenet@HIDDEN>; merged with #14531; dated Tue, 30 Aug 2011 19:39:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 9409 14531. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 9409 <at> debbugs.gnu.org:


Received: (at 9409) by debbugs.gnu.org; 13 Sep 2011 21:15:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 17:15:52 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R3aKd-0008TE-PH
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2011 17:15:51 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1R3aKc-0007Zc-4Y
	for 9409 <at> debbugs.gnu.org; Tue, 13 Sep 2011 17:15:50 -0400
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
	[132.204.27.242])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id p8DL2a6r005330;
	Tue, 13 Sep 2011 17:02:36 -0400
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
	id BD17C13007E; Tue, 13 Sep 2011 17:02:09 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eduard Wiebe <usenet@HIDDEN>
Subject: Re: bug#9409: 24.0.50; log-view-msg-prev, easy-mmode
Message-ID: <jwvlits40tp.fsf-monnier+emacs@HIDDEN>
References: <87aaaqpufk.fsf@HIDDEN> <96bov28nrf.fsf@HIDDEN>
	<87zkilfrrg.fsf@HIDDEN> <aj39g9dw2m.fsf@HIDDEN>
	<jwvhb4osf1q.fsf-monnier+emacs@HIDDEN> <87k49cs05b.fsf@HIDDEN>
Date: Tue, 13 Sep 2011 17:02:09 -0400
In-Reply-To: <87k49cs05b.fsf@HIDDEN> (Eduard Wiebe's message of "Tue, 13 Sep
	2011 21:38:40 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV3979=0
X-NAI-Spam-Version: 2.2.0.9286 : core <3979> : streams <681298> : uri <958703>
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 9409
Cc: 9409 <at> debbugs.gnu.org, Glenn Morris <rgm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

> I patched `easy-mmode-define-navigation' as above and tested (marked
> as X) the most functions without any trouble.

> * diff-mode.el
>   - [X] diff-hunk-prev
>   - [X] diff-hunk-next
>   - [X] diff-file-prev
>   - [X] diff-file-next

> * log-view.el
>   - [X] log-view-msg-prev
>   - [X] log-view-msg-next
>   - [ ] log-view-file-prev
>   - [ ] log-view-file-next

> * smerge-mode
>   - [ ] smerge-next
>   - [ ] smerge-prev

> * cvs-status
>   - [X] cvs-status-next
>   - [X] cvs-status-prev

If a problem shows up it's not going to be in the *-prev commands, but
in commands that call those functions internally.  So you need to check
the callers of diff-hunk-prev, diff-file-prev, etc..
It's always good to check with actual testing, but it's also important
to check by looking at the code.  IIUC this will be safe because in the
case where the behavior is changed, the function signals an error, so
only callers which catch this error (with condition-case) might
be affected.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9409; Package emacs. Full text available.

Message received at 9409 <at> debbugs.gnu.org:


Received: (at 9409) by debbugs.gnu.org; 13 Sep 2011 19:46:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 15:46:08 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R3Yvn-0001f5-6o
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2011 15:46:07 -0400
Received: from wp093.webpack.hosteurope.de ([80.237.132.100])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ew@HIDDEN>) id 1R3Yvk-0001ew-IB
	for 9409 <at> debbugs.gnu.org; Tue, 13 Sep 2011 15:46:05 -0400
Received: from f055098070.adsl.alicedsl.de ([78.55.98.70] helo=nirvana);
	authenticated
	by wp093.webpack.hosteurope.de running ExIM with esmtpsa
	(TLS1.0:RSA_AES_256_CBC_SHA1:32)
	id 1R3YrO-0000Ho-41; Tue, 13 Sep 2011 21:41:34 +0200
Received: from ew by nirvana with local (Exim 4.72)
	(envelope-from <ew@HIDDEN>)
	id 1R3Yoa-0001ej-ST; Tue, 13 Sep 2011 21:38:40 +0200
From: Eduard Wiebe <usenet@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#9409: 24.0.50; log-view-msg-prev, easy-mmode
References: <87aaaqpufk.fsf@HIDDEN> <96bov28nrf.fsf@HIDDEN>
	<87zkilfrrg.fsf@HIDDEN> <aj39g9dw2m.fsf@HIDDEN>
	<jwvhb4osf1q.fsf-monnier+emacs@HIDDEN>
Date: Tue, 13 Sep 2011 21:38:40 +0200
In-Reply-To: <jwvhb4osf1q.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Wed, 07 Sep 2011 08:39:27 -0400")
Message-ID: <87k49cs05b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-bounce-key: webpack.hosteurope.de;ew@HIDDEN;1315942896;aa6e41e4;
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 9409
Cc: 9409 <at> debbugs.gnu.org, Glenn Morris <rgm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

Stefan Monnier <monnier@HIDDEN> writes:

>>> Can you apply this patch to the trunk.
>> I'm not sure if the change is appropriate, for all users of that macro.
>> (I don't have much of an opinion about it.)
>
> I think the change is a good one. 

1+

> So if someone could check the various uses of that macro to make sure
> it doesn't break anything, we can install it.

I found following uses of the macro:

  1889060   84 -rw-r--r--   1 ew       ew          80974 Sep  9 20:59 vc/diff-mode.el
  1892302   24 -rw-r--r--   1 ew       ew          21559 Aug 27 17:25 vc/log-view.el
  1892363   56 -rw-r--r--   1 ew       ew          51035 Aug 27 17:25 vc/smerge-mode.el
  1889741   20 -rw-r--r--   1 ew       ew          17799 Aug 27 17:25 vc/cvs-status.el

I patched `easy-mmode-define-navigation' as above and tested (marked as X) the
most functions without any trouble.

* diff-mode.el
  - [X] diff-hunk-prev
  - [X] diff-hunk-next
  - [X] diff-file-prev
  - [X] diff-file-next

* log-view.el
  - [X] log-view-msg-prev
  - [X] log-view-msg-next
  - [ ] log-view-file-prev
  - [ ] log-view-file-next

* smerge-mode
  - [ ] smerge-next
  - [ ] smerge-prev

* cvs-status
  - [X] cvs-status-next
  - [X] cvs-status-prev

-- 
Eduard Wiebe




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9409; Package emacs. Full text available.

Message received at 9409 <at> debbugs.gnu.org:


Received: (at 9409) by debbugs.gnu.org; 7 Sep 2011 12:43:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 08:43:25 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R1HTR-0007Fs-6u
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2011 08:43:25 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1R1HTN-0007Fj-6w
	for 9409 <at> debbugs.gnu.org; Wed, 07 Sep 2011 08:43:22 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av0EAMNlZ064rwMJ/2dsb2JhbABDp2l5gUYBAQQBViMQCw4mEhQYDSSICLdwhmsEoCOEQA
X-IronPort-AV: E=Sophos;i="4.68,345,1312171200"; d="scan'208";a="134935890"
Received: from 184-175-3-9.dsl.teksavvy.com (HELO ceviche.home) ([184.175.3.9])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	07 Sep 2011 08:39:27 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id 65A7166246; Wed,  7 Sep 2011 08:39:27 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#9409: 24.0.50; log-view-msg-prev, easy-mmode
Message-ID: <jwvhb4osf1q.fsf-monnier+emacs@HIDDEN>
References: <87aaaqpufk.fsf@HIDDEN> <96bov28nrf.fsf@HIDDEN>
	<87zkilfrrg.fsf@HIDDEN> <aj39g9dw2m.fsf@HIDDEN>
Date: Wed, 07 Sep 2011 08:39:27 -0400
In-Reply-To: <aj39g9dw2m.fsf@HIDDEN> (Glenn Morris's message of
	"Tue, 06 Sep 2011 20:40:01 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 9409
Cc: 9409 <at> debbugs.gnu.org, Eduard Wiebe <usenet@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

>> Can you apply this patch to the trunk.
> I'm not sure if the change is appropriate, for all users of that macro.
> (I don't have much of an opinion about it.)

I think the change is a good one.  So if someone could check the various
uses of that macro to make sure it doesn't break anything, we can
install it.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9409; Package emacs. Full text available.

Message received at 9409 <at> debbugs.gnu.org:


Received: (at 9409) by debbugs.gnu.org; 7 Sep 2011 00:44:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 20:44:00 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R16FD-0000Hx-Me
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2011 20:44:00 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1R16F9-0000Ho-7J
	for 9409 <at> debbugs.gnu.org; Tue, 06 Sep 2011 20:43:55 -0400
Received: from localhost ([127.0.0.1]:47882)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1R16BN-0003t2-MR; Tue, 06 Sep 2011 20:40:01 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eduard Wiebe <usenet@HIDDEN>
Subject: Re: bug#9409: 24.0.50; log-view-msg-prev, easy-mmode
References: <87aaaqpufk.fsf@HIDDEN> <96bov28nrf.fsf@HIDDEN>
	<87zkilfrrg.fsf@HIDDEN>
X-Spook: Juiliett Class Submarine Centro kibo MD5 Steve Case
X-Ran: -t1+#GXj]+:omCQutczs>_La(m1'Ag$PI}$B.9Mdgt1vED>A),2NPybR3CBty0/~oDYAZ)
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 06 Sep 2011 20:40:01 -0400
Message-ID: <aj39g9dw2m.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 9409
Cc: 9409 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

Eduard Wiebe wrote:

> Can you apply this patch to the trunk.

I'm not sure if the change is appropriate, for all users of that macro.
(I don't have much of an opinion about it.)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9409; Package emacs. Full text available.

Message received at 9409 <at> debbugs.gnu.org:


Received: (at 9409) by debbugs.gnu.org; 3 Sep 2011 17:47:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 13:47:35 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QzuJb-0000PW-77
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2011 13:47:35 -0400
Received: from wp093.webpack.hosteurope.de ([80.237.132.100])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ew@HIDDEN>) id 1QzuJY-0000PO-IF
	for 9409 <at> debbugs.gnu.org; Sat, 03 Sep 2011 13:47:33 -0400
Received: from g227002205.adsl.alicedsl.de ([92.227.2.205] helo=nirvana);
	authenticated
	by wp093.webpack.hosteurope.de running ExIM with esmtpsa
	(TLS1.0:RSA_AES_256_CBC_SHA1:32)
	id 1QzuG7-0005h5-Rb; Sat, 03 Sep 2011 19:43:59 +0200
Received: from ew by nirvana with local (Exim 4.72)
	(envelope-from <ew@HIDDEN>)
	id 1QzuDL-0000nt-8A; Sat, 03 Sep 2011 19:41:07 +0200
From: Eduard Wiebe <usenet@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#9409: 24.0.50; log-view-msg-prev, easy-mmode
References: <87aaaqpufk.fsf@HIDDEN> <96bov28nrf.fsf@HIDDEN>
Date: Sat, 03 Sep 2011 19:41:07 +0200
In-Reply-To: <96bov28nrf.fsf@HIDDEN> (Glenn Morris's message of
	"Fri, 02 Sep 2011 20:37:08 -0400")
Message-ID: <87zkilfrrg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-bounce-key: webpack.hosteurope.de;ew@HIDDEN;1315071841;0d7e4517;
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: 9409
Cc: 9409 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

Glenn Morris <rgm@HIDDEN> writes:

> Eduard Wiebe wrote:
>
>>               `(unless (re-search-backward ,re nil t count)
>> -                (error "No previous %s" ,name)))
>> +                (goto-char (point-min))
>> +		(error "No previous %s" ,name)))
>
> Or:
>
> -             `(unless (re-search-backward ,re nil t count)
> +             `(unless (re-search-backward ,re nil 'move count)

Yes, much nicer. Thanks.
Can you apply this patch to the trunk.

-- 
Eduard Wiebe




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9409; Package emacs. Full text available.

Message received at 9409 <at> debbugs.gnu.org:


Received: (at 9409) by debbugs.gnu.org; 3 Sep 2011 00:40:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 02 20:40:40 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QzeHn-0006Mw-MQ
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2011 20:40:40 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1QzeHl-0006Mo-3G
	for 9409 <at> debbugs.gnu.org; Fri, 02 Sep 2011 20:40:38 -0400
Received: from localhost ([127.0.0.1]:55253)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1QzeEO-0006ZX-SZ; Fri, 02 Sep 2011 20:37:08 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eduard Wiebe <usenet@HIDDEN>
Subject: Re: bug#9409: 24.0.50; log-view-msg-prev, easy-mmode
References: <87aaaqpufk.fsf@HIDDEN>
X-Spook: CIA Albright Geraldton ISEC jihad White Water Clinton
X-Ran: QKbo*NxDNIA%"[tafBSA8cxpqJY^tZg3IxfY+0FK;KEPC&I[lnoRf}bD@ry!PJ?j[_$Esv
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 02 Sep 2011 20:37:08 -0400
Message-ID: <96bov28nrf.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 9409
Cc: 9409 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

Eduard Wiebe wrote:

>               `(unless (re-search-backward ,re nil t count)
> -                (error "No previous %s" ,name)))
> +                (goto-char (point-min))
> +		(error "No previous %s" ,name)))

Or:

-             `(unless (re-search-backward ,re nil t count)
+             `(unless (re-search-backward ,re nil 'move count)





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9409; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2011 19:38:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 15:38:09 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QyU8O-0006Xu-OV
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 15:38:09 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ew@HIDDEN>) id 1QyU8M-0006Xn-J8
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 15:38:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ew@HIDDEN>) id 1QyU5I-0001N5-Iq
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 15:34:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:46220)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ew@HIDDEN>)
	id 1QyU5I-0001N1-HK
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2011 15:34:56 -0400
Received: from eggs.gnu.org ([140.186.70.92]:59412)
	by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <ew@HIDDEN>)
	id 1QyU5G-0002Ya-TP
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 15:34:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ew@HIDDEN>) id 1QyU5F-0001MH-Ps
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 15:34:54 -0400
Received: from wp093.webpack.hosteurope.de ([80.237.132.100]:51831)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ew@HIDDEN>)
	id 1QyU5F-0001Ks-Ku
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 15:34:53 -0400
Received: from g226225041.adsl.alicedsl.de ([92.226.225.41] helo=nirvana);
	authenticated
	by wp093.webpack.hosteurope.de running ExIM with esmtpsa
	(TLS1.0:RSA_AES_256_CBC_SHA1:32)
	id 1QyU5C-0004ph-0f; Tue, 30 Aug 2011 21:34:50 +0200
Received: from ew by nirvana with local (Exim 4.72)
	(envelope-from <ew@HIDDEN>) id 1QyU2R-0001dm-4y
	for bug-gnu-emacs@HIDDEN; Tue, 30 Aug 2011 21:31:59 +0200
From: Eduard Wiebe <usenet@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.50; log-view-msg-prev, easy-mmode
Date: Tue, 30 Aug 2011 21:31:59 +0200
Message-ID: <87aaaqpufk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-bounce-key: webpack.hosteurope.de;ew@HIDDEN;1314732893;b0cc139c;
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.2 (-----)

--=-=-=
Content-Type: text/plain


 Hi all,

it bothers me that in some situation i cannot reach the head information
of the `vc-print-log' via `log-view-msg-prev'.

I fixed the issue by following simple patch.


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=easy-mmode.el.patch

=== modified file 'lisp/emacs-lisp/easy-mmode.el'
--- lisp/emacs-lisp/easy-mmode.el	2011-01-25 04:08:28 +0000
+++ lisp/emacs-lisp/easy-mmode.el	2011-08-27 16:50:49 +0000
@@ -578,7 +578,8 @@
 	 (if (< count 0) (,next-sym (- count))
            ,(funcall when-narrowed
              `(unless (re-search-backward ,re nil t count)
-                (error "No previous %s" ,name)))
+                (goto-char (point-min))
+		(error "No previous %s" ,name)))
            ,@body))
        (put ',prev-sym 'definition-name ',base))))
 


--=-=-=--




Acknowledgement sent to Eduard Wiebe <usenet@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9409; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.